Bug 1286362 - dnf doesn't install gcc debuginfo
dnf doesn't install gcc debuginfo
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 09:48 EST by Pavel Zhukov
Modified: 2016-11-30 04:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-30 04:34:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Zhukov 2015-11-28 09:48:15 EST
Description of problem:
gdb reports missing debuginfo but dnf cannot install it

Version-Release number of selected component (if applicable):
dnf-1.1.4-1.fc23.noarch

How reproducible:
100%

Steps to Reproduce:
1.  dnf debuginfo-install libgcc-5.1.1-4.fc23.x86_64 libgnat-devel-5.1.1-4.fc23.x86_64


Actual results:
(gdb) sta
Temporary breakpoint 1 at 0x4062e1
Starting program: /home/pavel/projects/nanomsg-ada/bin/testme 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7ffff5e98700 (LWP 27491)]

Temporary breakpoint 1, 0x00000000004062e1 in testme ()
Missing separate debuginfos, use: dnf debuginfo-install libgcc-5.1.1-4.fc23.x86_64 libgnat-devel-5.1.1-4.fc23.x86_64

$ sudo  dnf debuginfo-install libgcc-5.1.1-4.fc23.x86_64 libgnat-devel-5.1.1-4.fc23.x86_64
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
Last metadata expiration check performed 0:01:27 ago on Sat Nov 28 15:42:51 2015.
Dependencies resolved.
Nothing to do.
Complete!


Expected results:
Dependencies resolved.
==============================================================================================================================================================================
 Package                                      Arch                             Version                                      Repository                                   Size
==============================================================================================================================================================================
Installing:
 gcc-base-debuginfo                           x86_64                           5.1.1-4.fc23                                 fedora-debuginfo                            3.3 M
 gcc-debuginfo                                x86_64                           5.1.1-4.fc23                                 fedora-debuginfo                            241 M
 gmp-debuginfo                                x86_64                           1:6.0.0-12.fc23                              fedora-debuginfo                            837 k
 libmpc-debuginfo                             x86_64                           1.0.2-4.fc23                                 fedora-debuginfo                            214 k
 mpfr-debuginfo                               x86_64                           3.1.3-2.fc23                                 updates-debuginfo                           588 k
 zlib-debuginfo                               x86_64                           1.2.8-9.fc23                                 fedora-debuginfo                            254 k


Additional info:
Comment 1 Mike McCune 2016-03-28 19:16:15 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:38:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 08:48:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Igor Gnatenko 2016-11-30 04:34:56 EST
I think it should be fixed in rawhide already, so if you still have this bug - reopen.

Note You need to log in before you can comment on or make changes to this bug.